post
https://api.instantpay.in/identity/mobile/addressLookup
Boost the integrity of your customer verification process by leveraging Instantpay's Voter ID Verification API solution, which seamlessly verifies Voter ID details using the EPIC Number from Election Commission data.
Ensure compliance with regulatory standards, streamline verification processes, and fortify the security of user accounts and transactions. Automate Voter ID verification with Instantpay's API solution to enhance the reliability of your database—a pivotal component in a comprehensive identity verification toolkit.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| mobileNumber | String | Mandatory | Mobile Number |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
| externalRef | String | Mandatory | Your Unique Transaction id |
| consent | String | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/mobile/addressLookup' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber": "xxxxxxxxxx",
"consent": "Y",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}'POST /identity/mobile/addressLookup HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
{
"mobileNumber":"XXXXXXX78",
"consent":"Y",
"latitude":0.99,
"longitude":38,
"externalRef":"jdnjdi89"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"addressData": {
"fullName": "Full Name",
"addresses": [
{
"addressRank": 1,
"addressDetails": {
"address": " FLOOR BLOCK J1 DDA",
"locality": "FLAT KALKAJI DELHI 1100XX DL",
"city": null,
"district": null,
"state": "DELHI (NCT)",
"country": "INDIA",
"pincode": "1100XX"
},
"addressInsights": {
"reportedDate": null,
"lastActivityDate": null,
"addressMatchScore": 0,
"addressMatchIndex": null,
"addressQuality": {
"level": "VERY GOOD",
"missing": []
}
}
},
{
"addressRank": 2,
"addressDetails": {
"address": " SARAI DUBEY KOIL OPPOSITE",
"locality": "GREAT PLAZA ALIGARH 2020XX UP",
"city": null,
"district": null,
"state": "UTTAR PRADESH",
"country": "INDIA",
"pincode": "2020XX"
},
"addressInsights": {
"reportedDate": null,
"lastActivityDate": null,
"addressMatchScore": 0,
"addressMatchIndex": null,
"addressQuality": {
"level": "GOOD",
"missing": []
}
}
}
]
},
"poolReferenceId": "1260615044155QMQPA",
"pool": {
"account": "7505684294",
"openingBal": "99917686.68",
"mode": "DR",
"amount": "0.00",
"closingBal": "99917686.68"
}
},
"timestamp": "2026-06-15 10:12:20",
"ipay_uuid": "h000a206be9e-521b-4736-b20b-691aceb29bff-0Vat61XhW8tN",
"orderid": "1260615044155QMQPA",
"environment": "SANDBOX",
"internalCode": "Transaction Successful"
}
